Bug 847436 - Review Request: spherical-cow-backgrounds - Spherical Cow desktop backgrounds
Review Request: spherical-cow-backgrounds - Spherical Cow desktop backgrounds
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jaroslav Reznik
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-11 05:08 EDT by Martin Sourada
Modified: 2012-08-15 11:05 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-15 11:05:26 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
jreznik: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Martin Sourada 2012-08-11 05:08:08 EDT
Spec URL: http://mso.fedorapeople.org/packages/SPECS/spherical-cow-backgrounds.spec
SRPM URL: http://mso.fedorapeople.org/packages/SRPMS/spherical-cow-backgrounds-17.90.2-1.fc17.src.rpm
Description: This package contains desktop backgrounds for the Spherical Cow theme.
Fedora Account System Username: mso

Note: it's practically same as most previous releases, and it's directly based on beefy-miracle-backgrounds package. The package division:
-single: common files for single-screen backgrounds,
-gnome: files intended for gnome DE,
-xfce: files intended for XFCE,
-kde: files intended for KDE,
main package: pulls everything.

The URL isn't functional yet, but I hope to create the wiki page soon.
Comment 2 Jaroslav Reznik 2012-08-14 07:10:39 EDT
Name: ok
Release: ok
Summary: ok

Group: not needed anymore, optional tag, http://fedoraproject.org/wiki/Packaging:Guidelines#Group_tag
License: ok, CC-BY-SA
URL: not yet created, standard destination for Fedora artwork, please create asap
Sources: ok, md5sum d62c522b46ddf16fe191d8060da449eb

BuildArch: ok

BuildRequires: ok
Requires: ok

Descriptions: ok

Macros used consistently: ok

%clean section is not needed anymore, http://fedoraproject.org/wiki/Packaging:Guidelines#.25clean

rm -rf $RPM_BUILD_ROOT is not needed anymore in %install section, http://fedoraproject.org/wiki/Packaging:Guidelines#BuildRoot_tag

Otherwise it's a simple package, based on beefy-miracle-backgrounds package. You can cleanup the SPEC file according to the current package guidelines but it's not a blocker and the package has to be finalized today.

APPROVED
Comment 3 Martin Sourada 2012-08-14 08:43:26 EDT
Thanks for the review, Jaroslav.
Comment 4 Martin Sourada 2012-08-14 08:44:42 EDT
New Package SCM Request
=======================
Package Name: spherical-cow-backgrounds
Short Description: Spherical Cow desktop backgrounds
Owners: mso
Branches: f18
InitialCC:
Comment 5 Gwyn Ciesla 2012-08-14 09:10:25 EDT
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.